defs.h File Reference

Main Page Alphabetical List Data Structures File List Data Fields Globals

# defs.h File Reference

## Defines

#define | ALTERNATE 1
#define | WINDING 2
#define | POLYFILL_LAST 2
#define | BS_SOLID 0
#define | BS_NULL 1
#define | BS_HOLLOW BS_NULL
#define | BS_HATCHED 2
#define | BS_PATTERN 3
#define | BS_INDEXED 4
#define | BS_DIBPATTERN 5
#define | BS_DIBPATTERNPT 6
#define | BS_PATTERN8X8 7
#define | BS_DIBPATTERN8X8 8
#define | TO_FILL(Z) ((Z)->dc->brush->lbStyle != BS_NULL)
#define | HS_HORIZONTAL 0
#define | HS_VERTICAL 1
#define | HS_FDIAGONAL 2
#define | HS_BDIAGONAL 3
#define | HS_CROSS 4
#define | HS_DIAGCROSS 5
#define | PS_SOLID 0
#define | PS_DASH 1
#define | PS_DOT 2
#define | PS_DASHDOT 3
#define | PS_DASHDOTDOT 4
#define | PS_NULL 5
#define | PS_INSIDEFRAME 6
#define | PS_USERSTYLE 7
#define | PS_ALTERNATE 8
#define | PS_STYLE_MASK 0x0000000F
#define | TO_DRAW(Z) (((Z)->dc->pen->lopnStyle & PS_STYLE_MASK) != PS_NULL)
#define | PS_ENDCAP_ROUND 0x00000000
#define | PS_ENDCAP_SQUARE 0x00000100
#define | PS_ENDCAP_FLAT 0x00000200
#define | PS_ENDCAP_MASK 0x00000F00
#define | PS_JOIN_ROUND 0x00000000
#define | PS_JOIN_BEVEL 0x00001000
#define | PS_JOIN_MITER 0x00002000
#define | PS_JOIN_MASK 0x0000F000
#define | PS_COSMETIC 0x00000000
#define | PS_GEOMETRIC 0x00010000
#define | PS_TYPE_MASK 0x000F0000
#define | OBJ_PEN 1
#define | OBJ_BRUSH 2
#define | OBJ_DC 3
#define | OBJ_METADC 4
#define | OBJ_PAL 5
#define | OBJ_FONT 6
#define | OBJ_BITMAP 7
#define | OBJ_REGION 8
#define | OBJ_METAFILE 9
#define | OBJ_MEMDC 10
#define | OBJ_EXTPEN 11
#define | OBJ_ENHMETADC 12
#define | OBJ_ENHMETAFILE 13
#define | TA_NOUPDATECP 0
#define | TA_UPDATECP 1
#define | TA_LEFT 0
#define | TA_RIGHT 2
#define | TA_CENTER 6
#define | TA_TOP 0
#define | TA_BOTTOM 8
#define | TA_BASELINE 24
#define | TA_MASK (TA_BASELINE+TA_CENTER+TA_UPDATECP)
#define | R2_BLACK 1
#define | R2_NOTMERGEPEN 2
#define | R2_MASKNOTPEN 3
#define | R2_NOTCOPYPEN 4
#define | R2_MASKPENNOT 5
#define | R2_NOT 6
#define | R2_XORPEN 7
#define | R2_NOTMASKPEN 8
#define | R2_MASKPEN 9
#define | R2_NOTXORPEN 10
#define | R2_NOP 11
#define | R2_MERGENOTPEN 12
#define | R2_COPYPEN 13
#define | R2_MERGEPENNOT 14
#define | R2_MERGEPEN 15
#define | R2_WHITE 16
#define | R2_LAST 16
#define | SRCCOPY (U32)0x00CC0020
#define | SRCPAINT (U32)0x00EE0086
#define | SRCAND (U32)0x008800C6
#define | SRCINVERT (U32)0x00660046
#define | SRCERASE (U32)0x00440328
#define | NOTSRCCOPY (U32)0x00330008
#define | NOTSRCERASE (U32)0x001100A6
#define | MERGECOPY (U32)0x00C000CA
#define | MERGEPAINT (U32)0x00BB0226
#define | PATCOPY (U32)0x00F00021
#define | PATPAINT (U32)0x00FB0A09
#define | PATINVERT (U32)0x005A0049
#define | DSTINVERT (U32)0x00550009
#define | BLACKNESS (U32)0x00000042
#define | WHITENESS (U32)0x00FF0062
#define | BLACKONWHITE 1
#define | WHITEONBLACK 2
#define | COLORONCOLOR 3
#define | HALFTONE 4
#define | MAXSTRETCHBLTMODE 4
#define | TRANSPARENT 1
#define | OPAQUE 2
#define | BKMODE_LAST 2
#define | ETO_OPAQUE 0x0002
#define | ETO_CLIPPED 0x0004
#define | FLOODFILLBORDER 0
#define | FLOODFILLSURFACE 1

## Define Documentation

#define ALTERNATE 1

#define BKMODE_LAST 2

#define BLACKNESS (U32)0x00000042

#define BLACKONWHITE 1

#define BS_DIBPATTERN 5

#define BS_DIBPATTERN8X8 8

#define BS_DIBPATTERNPT 6

#define BS_HATCHED 2

#define BS_HOLLOW BS_NULL

#define BS_INDEXED 4

#define BS_NULL 1

#define BS_PATTERN 3

#define BS_PATTERN8X8 7

#define BS_SOLID 0

#define COLORONCOLOR 3

#define DSTINVERT (U32)0x00550009

#define ETO_CLIPPED 0x0004

#define ETO_OPAQUE 0x0002

#define FLOODFILLBORDER 0

#define FLOODFILLSURFACE 1

#define HALFTONE 4

#define HS_BDIAGONAL 3

#define HS_CROSS 4

#define HS_DIAGCROSS 5

#define HS_FDIAGONAL 2

#define HS_HORIZONTAL 0

#define HS_VERTICAL 1

#define MAXSTRETCHBLTMODE 4

#define MERGECOPY (U32)0x00C000CA

#define MERGEPAINT (U32)0x00BB0226

#define NOTSRCCOPY (U32)0x00330008

#define NOTSRCERASE (U32)0x001100A6

#define OBJ_BITMAP 7

#define OBJ_BRUSH 2

#define OBJ_DC 3

#define OBJ_ENHMETADC 12

#define OBJ_ENHMETAFILE 13

#define OBJ_EXTPEN 11

#define OBJ_FONT 6

#define OBJ_MEMDC 10

#define OBJ_METADC 4

#define OBJ_METAFILE 9

#define OBJ_PAL 5

#define OBJ_PEN 1

#define OBJ_REGION 8

#define OPAQUE 2

#define PATCOPY (U32)0x00F00021

#define PATINVERT (U32)0x005A0049

#define PATPAINT (U32)0x00FB0A09

#define POLYFILL_LAST 2

#define PS_ALTERNATE 8

#define PS_COSMETIC 0x00000000

#define PS_DASH 1

#define PS_DASHDOT 3

#define PS_DASHDOTDOT 4

#define PS_DOT 2

#define PS_ENDCAP_FLAT 0x00000200

#define PS_ENDCAP_MASK 0x00000F00

#define PS_ENDCAP_ROUND 0x00000000

#define PS_ENDCAP_SQUARE 0x00000100

#define PS_GEOMETRIC 0x00010000

#define PS_INSIDEFRAME 6

#define PS_JOIN_BEVEL 0x00001000

#define PS_JOIN_MASK 0x0000F000

#define PS_JOIN_MITER 0x00002000

#define PS_JOIN_ROUND 0x00000000

#define PS_NULL 5

#define PS_SOLID 0

#define PS_STYLE_MASK 0x0000000F

#define PS_TYPE_MASK 0x000F0000

#define PS_USERSTYLE 7

#define R2_BLACK 1

#define R2_COPYPEN 13

#define R2_LAST 16

#define R2_MASKNOTPEN 3

#define R2_MASKPEN 9

#define R2_MASKPENNOT 5

#define R2_MERGENOTPEN 12

#define R2_MERGEPEN 15

#define R2_MERGEPENNOT 14

#define R2_NOP 11

#define R2_NOT 6

#define R2_NOTCOPYPEN 4

#define R2_NOTMASKPEN 8

#define R2_NOTMERGEPEN 2

#define R2_NOTXORPEN 10

#define R2_WHITE 16

#define R2_XORPEN 7

#define SRCAND (U32)0x008800C6

#define SRCCOPY (U32)0x00CC0020

#define SRCERASE (U32)0x00440328

#define SRCINVERT (U32)0x00660046

#define SRCPAINT (U32)0x00EE0086

#define TA_BASELINE 24

#define TA_BOTTOM 8

#define TA_CENTER 6

#define TA_LEFT 0

#define TA_MASK (TA_BASELINE+TA_CENTER+TA_UPDATECP)

#define TA_NOUPDATECP 0

#define TA_RIGHT 2

#define TA_TOP 0

#define TA_UPDATECP 1

#define TO_DRAW | ( | Z |  | ) | (((Z)->dc->pen->lopnStyle & PS_STYLE_MASK) != PS_NULL)

#define TO_FILL | ( | Z |  | ) | ((Z)->dc->brush->lbStyle != BS_NULL)

#define TRANSPARENT 1

#define WHITENESS (U32)0x00FF0062

#define WHITEONBLACK 2

#define WINDING 2